Issues

ZF-6340: Documentation for PHP extension requirements wrong for libxml and probably zlib

Description

http://framework.zend.com/manual/en/…

If you look at the libxml extension in the table you will notice that here aren't any Zend components in the last column but some other PHP extensions. It doesn't fit to the column's header which is calle 'Used by Zend Framework Components'. The same holds true for the zlib extension, which list 'Memcache' as Zend component, which is PHP.

Comments

zlib added

Sorry, but Zend_Memory_Memcache is a own class and not a php extension.

Also to note: This dependency table is per revision 1.6 as all developers ignore it and don't fill the needed data. This table will always be behind the actual release.

fixed with r15019

Were the libxml dependencies fixed as well?

I find this list should be up-to-date, especially for PHP being in late beta phase gives you a good list of PHP packages/modules to include with a custom PHP compiled from the sources.

PS: How/where do I find the updated docs? You can send me an email if you want. Thanks.

BTW the zlib dependency docs said "Memcache", not "Zend_Memory_Memcache"...

There is no reason to get rude.

When I write fixed with r15019 then simply take a look into it. When you have no access to SVN then you have to wait until the next release is officially provided.

Also to mention: The homepage is build by Zend and not by us. They build the manual with the release, so to read it "officially" you have to wait for the next release.